## genpo 0.9.6+dfsg.1

=== src/Makefile ===
#############################################################################
# Makefile for building: genpo
# Generated by qmake (1.07a) (Qt 3.3.7) on: Sun Aug 26 12:34:23 2007
# Project:  genpo.pro
# Template: app
# Command: $(QMAKE) -o Makefile genpo.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -Wno-non-virtual-dtor -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lasound -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = ./

####### Files

HEADERS = customEvents.h \
		pistonEventData.h \
		passingButton.h \
		passingCheckBox.h \
		voice.h \
		midiThread.h \
		piston.h \
		pistonStop.h \
		stop.h \
		coupler.h \
		division.h \
		console.h \
		application.h \
		midiConfigForm.h \
		configParser.h \
		toepiston.h
SOURCES = console.cpp \
		passingButton.cpp \
		passingCheckBox.cpp \
		midiThread.cpp \
		application.cpp \
		midiConfigForm.cpp \
		main.cpp \
		configParser.cpp
OBJECTS = console.o \
		passingButton.o \
		passingCheckBox.o \
		midiThread.o \
		application.o \
		midiConfigForm.o \
		main.o \
		configParser.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = moc_passingButton.cpp \
		moc_passingCheckBox.cpp \
		moc_application.cpp \
		moc_midiConfigForm.cpp
OBJMOC = moc_passingButton.o \
		moc_passingCheckBox.o \
		moc_application.o \
		moc_midiConfigForm.o
DIST	   = genpo.pro
QMAKE_TARGET = genpo
DESTDIR  = 
TARGET   = genpo

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: genpo.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile genpo.pro
qmake: 
	@$(QMAKE) -o Makefile genpo.pro

dist: 
	@mkdir -p .tmp/genpo && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .tmp/genpo/ && ( cd `dirname .tmp/genpo` && $(TAR) genpo.tar genpo && $(GZIP) genpo.tar ) && $(MOVE) `dirname .tmp/genpo`/genpo.tar.gz . && $(DEL_FILE) -r .tmp/genpo

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

console.o: console.cpp console.h \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h

passingButton.o: passingButton.cpp passingButton.h

passingCheckBox.o: passingCheckBox.cpp passingCheckBox.h

midiThread.o: midiThread.cpp console.h \
		customEvents.h \
		midiThread.h \
		pistonEventData.h \
		subscriberThread.h \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h \
		application.h \
		passingButton.h \
		passingCheckBox.h

application.o: application.cpp application.h \
		customEvents.h \
		midiConfigForm.h \
		configParser.h \
		console.h \
		passingButton.h \
		passingCheckBox.h \
		pistonEventData.h \
		fileopen.xpm \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h

midiConfigForm.o: midiConfigForm.cpp midiConfigForm.h

main.o: main.cpp application.h \
		console.h \
		midiThread.h \
		passingButton.h \
		passingCheckBox.h \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h

configParser.o: configParser.cpp configParser.h \
		console.h \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h

moc_passingButton.o: moc_passingButton.cpp  passingButton.h 

moc_passingCheckBox.o: moc_passingCheckBox.cpp  passingCheckBox.h 

moc_application.o: moc_application.cpp  application.h console.h \
		passingButton.h \
		passingCheckBox.h \
		division.h \
		toepiston.h \
		voice.h \
		stop.h \
		piston.h \
		coupler.h \
		pistonStop.h

moc_midiConfigForm.o: moc_midiConfigForm.cpp  midiConfigForm.h 

moc_passingButton.cpp: $(MOC) passingButton.h
	$(MOC) passingButton.h -o moc_passingButton.cpp

moc_passingCheckBox.cpp: $(MOC) passingCheckBox.h
	$(MOC) passingCheckBox.h -o moc_passingCheckBox.cpp

moc_application.cpp: $(MOC) application.h
	$(MOC) application.h -o moc_application.cpp

moc_midiConfigForm.cpp: $(MOC) midiConfigForm.h
	$(MOC) midiConfigForm.h -o moc_midiConfigForm.cpp

####### Install

install:  

uninstall:
