## genpo 0.9.8

=== debian/changelog ===
genpo (0.9.8-0ubuntu2) xenial; urgency=medium

  * debian/rules: Modernize, use dh sequencer.
  * debian/source/format: Indicate 3.0 (quilt) format.
  * debian/compat: Bump to 9.
  * debian/control:
    - Build-depend on debhelper (>= 9).
    - Bump Standards-Version to 3.9.6.
  * debian/genpo.menu: Remove, per Debian's decision to only ship desktop
    files.
  * debian/genpo.manpages: Install debian/genpo.1.
  * debian/copyright: Change to DEP-5 format.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 05 Dec 2015 02:59:56 -0500

genpo (0.9.8-0ubuntu1) jaunty; urgency=low

  [ Iain Lane ]
  * New upstream release (LP: #312025)
    + debian/control: Switch from QT3 to QT4 - build-depend on libqt4-dev and
      qt4-qmake
    + debian/rules: Build with qmake-qt4
  * debian/copyright, debian/rules, debian/watch: repacking no longer necessary.

  [ James Westby ]
  * debian/control: Drop Vsc-Bzr as it is wrongly named and not up-to-date.

 -- Iain Lane <laney@ubuntu.com>  Mon, 29 Dec 2008 11:23:53 +0000

genpo (0.9.7+dfsg.1-0ubuntu1) jaunty; urgency=low

  * New Upstream Release
  * Bumped standards version to 3.8.0 (no changes needed)
  * Removed NOTES from docs as there is no NOTES file anymore

 -- Michael Casadevall <sonicmctails@gmail.com>  Fri, 07 Nov 2008 22:15:35 -0500

genpo (0.9.6+dfsg.1-0ubuntu3) intrepid; urgency=low

  * Add missing backslash to debian/genpo.menu and added default organ file. (LP: #221518)

 -- Andrew Hunter <andrew@aehunter.net>  Fri, 02 May 2008 14:52:19 -0400

genpo (0.9.6+dfsg.1-0ubuntu2) hardy; urgency=low

  * Add Icon. (LP: #201471)

 -- Jussi Schultink (jussi01) <jussi01@gmail.com>  Tue, 11 Mar 2008 16:00:17 +0200

genpo (0.9.6+dfsg.1-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #115820)

 -- Andrew Hunter <andrew@aehunter.net>  Sat, 06 Oct 2007 17:34:29 +0100
