=== debian/control ===
Source: genpo
Section: sound
Priority: extra
Maintainer: Ubuntu Studio Developers <ubuntu-studio-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Hunter <andrew@aehunter.net>
Homepage: http://genpo.sourceforge.net
Build-Depends: debhelper (>= 9), libasound2-dev, libqt4-dev, qt4-qmake
Standards-Version: 3.9.6

Package: genpo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: genpo-organs
Description: GENeral Purpose Organ 
 GENPO replicates the essential features of any pipe, theatre, or reed organ.
 GENPO reads a description of an organ (a .org XML file) and presents a suitable
 user interface for operating that organ. There are a number of high quality 
 organ SoundFonts freely available and the .org file maps the stop sounds to 
 organ divisions, manuals and stops. Other facilities such and couplers and 
 presets are available. You may connect one or more MIDI keyboards to GENPO 
 to provide the organ manuals, you can also assign one to be the 'pedalboard'.
