=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	qmake-qt4 -makefile src/genpo.pro
