=== debian/watch ===
version=3

http://sf.net/genpo/genpo-(.*).tar.gz debian
